# PAM Server 2022
FROM debian:latest
LABEL author="@MarleneFlor"
LABEL subject="PAMserver2022"
RUN apt-get update
# variable para hacer la instalación desatendida, sin preguntas, no interactiva
#ARG DEBIAN_FRONTEND=noninteractive
RUN apt-get -y install procps iproute2 tree nmap vim less finger passwd libpam-pwquality libpam-mount libpam-python python3 pip
RUN pip3 install python-pam six
RUN mkdir /opt/docker
WORKDIR /opt/docker
COPY ./* /opt/docker/
COPY chfn /etc/pam.d/
RUN chmod +x /opt/docker/startup.sh
CMD /opt/docker/startup.sh
